### Virtual Method

# Pango FontMap get_serial

since: 1.32.4

#### Declaration [src]

    guint
    get_serial (
      PangoFontMap* fontmap
    )

#### Description [src]

Returns the current serial number of `fontmap`.

The serial number is initialized to an small number larger than zero when a new fontmap is created and is increased whenever the fontmap is changed. It may wrap, but will never have the value 0. Since it can wrap, never compare it with “less than”, always use “not equals”.

The fontmap can only be changed using backend-specific API, like changing fontmap resolution.

This can be used to automatically detect changes to a `PangoFontMap`, like in `PangoContext`.

Available since: 1.32.4

#### Return value

Type: `guint`

The current serial number of `fontmap`.